<div class="add-primary-service-contract">
    <form [formGroup]="addPrimaryServiceContractFormGroup">
      <app-content-banner [isDashboard]="false" [pageName]="pageNameX"></app-content-banner>
      <mat-card class="sp-main-card mat-elevation-z0">
<!--          <mat-card-header fxLayout="column" fxLayoutGap="5px">
              <div fxLayout="row" class="second-header-filter">

              </div>
          </mat-card-header> -->
        <mat-card-content class="regular-mat-form-field">
          <mat-tab-group dynamicHeight  [(selectedIndex)]="tabSelectedIndex" (selectedTabChange)="tabChanged($event)" >
            <mat-tab label="Contract Information">
                <app-contract-info-primary-service-contract></app-contract-info-primary-service-contract>
            </mat-tab>
            <mat-tab label="Additional Details">
                <app-additional-info-primary-service-contract [primaryServiceContractName]="primaryServiceContractName"></app-additional-info-primary-service-contract>
            </mat-tab>

          </mat-tab-group>
  
            <div fxLayout="row" style="margin: 5px; margin-top: 20px;" fxLayoutGap="10px">
              <div fxLayoutAlign="start" fxFlex="80">
                <button mat-raised-button color="primary" style="width: 75px;" (click)="saveClicked($event)">Submit</button>
                <!-- <button mat-raised-button color="primary" type="reset" style="width: 100px;" (click)="clearClicked($event)">Clear</button> -->
              </div>
              <div fxLayoutAlign="end" fxLayoutGap="10px" fxFlex>
                <button mat-raised-button fxFlexAlign="right"  color="primary" type="button" style="width: 87px; align-content:center;" (click)="previousPage()">{{btnLabel}}</button>
                <button *ngIf="tabSelectedIndex == 0" mat-raised-button fxFlexAlign="right" color="primary" type="button"  style="width: 50px; align-content:center;" (click)="nextPage()">Next</button>
              </div>
            </div>
        
      </mat-card-content>
      </mat-card>
    </form> 
    </div>
    